Subject: Re: bug#50269: 27.2; Request: use GTK continuous scroll events for smooth touchpad scrolling

From: Alan Third <[email-masked]>
Date: Mon, 30 Aug 2021 20:28:31 +0100

On Mon, Aug 30, 2021 at 02:35:19PM +0100, Alexander Huntley wrote:
> When using a laptop touchpad, native GTK applications use continuous
> scroll events to give much smoother scrolling, whereas Emacs simply
> emulates the discrete scrolling events of a mouse scroll wheel. This
> makes touchpad scrolling under Emacs feel much less natural than many
> other Linux applications.
> 
> Would it be possible to expose these events to elisp and hence get nice
> pixel-perfect scrolling in Emacs?

It's not practical to do in the current X/GTK terminal code. Emacs
doesn't actually use the GTK event system, so it would have to be
added from scratch.

Once PGTK is merged it should be able to provide this sort of thing
much more easily.
-- 
Alan Third